body {
    width: 100%;
    height: 100vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: var(--padding-medium);
    background-color: #faf8f0;
    font-family: "Roboto", Arial, system-ui, sans-serif;
}

header {
    width: 100%;
    display: flex;
    justify-content: center;
}

.navbar{
    width: 75%;
    max-width: 1200px;
    height: 56px;
    padding: var(--padding-large) 0; 
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    align-content: center;
}

.menu {
    justify-self: start;
    display: flex;
    align-items: center;
}

.menu-button{
    height: 50px;
    padding: var(--padding-small);
    display: flex;
    align-items: center;
    gap: var(--padding-medium);
    color: var(--color-menu);
    background-color: transparent;
}

.menu:hover{
    background-color: #e0dad1;
    border-radius: var(--border-radius-medium);
}

.menu__icon{
    height: 24px;
    width: 24px;
}

.menu__title {
    font-weight: 700;
    color: var(--color-menu);
}

.menu__title-large{
    font-size: 48px;
}

.menu__title-small{
    display: none;
    font-size: 30px;
}

.gamestatus{
    height: 50px;
    justify-self: center;
    display: flex;
    align-items: center;
    gap: var(--padding-medium);
    user-select: none;
}

.gamestatus__score-container{
    padding: var(--padding-small) var(--padding-medium);
    display: flex;
    flex-direction: column;
    align-items: center;
    border-radius: var(--border-radius-medium);
    color: var(--color-primary);
    background-color: var(--color-secondary);
}

.gamestatus__highscore-container{
    padding: var(--padding-small) var(--padding-medium);
    display: flex;
    flex-direction: column;
    align-items: center;
    border: 2px solid var(--color-secondary);
    border-radius: var(--border-radius-medium);
    color: var(--color-primary);
}

.gamestatus__category {
    font-size: var(--font-size-small);
}

.gamestatus__value {
    font-size: var(--font-size-large);
    font-weight: 700;
}

.utilities{
    justify-self: end;
    display: flex;
    align-items: center;
    gap: var(--padding-medium);
}

.utilities__feedback-link {
    color: var(--color-primary);
}

.utilities__newgame-container{
    padding: var(--padding-medium);
    border-radius: var(--border-radius-medium);
    color: var(--color-button-background);
    background-color: var(--color-primary);
    box-shadow: 0 5px 20px rgba(152, 139, 123, 0.5), 
                inset 0 -1px 0 #756452;
}

.utilities__newgame-text {
    font-weight: 100;
}

.utilities__newgame-icon {
    height: 24px;
    height: 24px;
    display: none;
}

main {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.board {
    width: 95%;
    max-width: 450px;
    aspect-ratio: 1 / 1;
    display: grid;
    gap: var(--padding-small);
    padding: var(--padding-small);
    grid-template-columns: repeat(4, 1fr);
    grid-template-rows: repeat(4, 1fr);
    border-radius: var(--border-radius-medium);
    background-color: var(--color-primary);
    box-shadow: 0 3px 15px rgba(152, 139, 123, 0.5),
                inset 0 0.5px 0 var(--color-tile-highlight-bright);
}

.bord__item {
    background-color: var(--color-tile-lvl0);
    border-radius: var(--border-radius-small);
    display: flex;
    justify-content: center;
    align-items: center;
    box-shadow: inset 0 1px 2px var(--color-tile-shadow), 
                inset 0 -1px 1px var(--color-tile-highlight-normal);
}

.bord__item--lvl1 {
    color: var(--color-tile-font-dark);
    background-color: var(--color-tile-lvl1);
    box-shadow: 0 3px 5px var(--color-tile-shadow),
                inset 0 0.5px 0 var(--color-tile-highlight-bright);
}

.bord__item--lvl2 {
    color: var(--color-tile-font-dark);
    background-color: var(--color-tile-lvl2);
    box-shadow: 0 3px 5px var(--color-tile-shadow),
                inset 0 0.5px 0 var(--color-tile-highlight-bright);
}

.bord__item--lvl3 {
    color: var(--color-tile-font-light);
    background-color: var(--color-tile-lvl3);
    box-shadow: 0 3px 5px var(--color-tile-shadow),
                inset 0 0.5px 0 var(--color-tile-highlight-bright);
}

.bord__item--lvl4 {
    color: var(--color-tile-font-light);
    background-color: var(--color-tile-lvl4);
    box-shadow: 0 3px 5px var(--color-tile-shadow),
                inset 0 0.5px 0 var(--color-tile-highlight-bright);
}

.bord__item--lvl5 {
    color: var(--color-tile-font-light);
    background-color: var(--color-tile-lvl5);
    box-shadow: 0 3px 5px var(--color-tile-shadow),
                inset 0 0.5px 0 var(--color-tile-highlight-bright);
}

.bord__item--lvl6 {
    color: var(--color-tile-font-light);
    background-color: var(--color-tile-lvl6);
    box-shadow: 0 3px 5px var(--color-tile-shadow),
                inset 0 0.5px 0 var(--color-tile-highlight-bright);
}

.bord__item--lvl7 {
    color: var(--color-tile-font-light);
    background-color: var(--color-tile-lvl7);
    box-shadow: 0 3px 5px var(--color-tile-shadow),
                inset 0 0.5px 0 var(--color-tile-highlight-bright);
}

.board__item-number {
    font-size: var(--font-size-xxl);
}

.actions {
    width: fit-content;
    margin-top: 1.5rem;
    padding: var(--padding-medium);
    border-radius: var(--border-radius-large);
    display: flex;
    flex-direction: row;
    justify-content: center;
    gap: var(--padding-small);
    background-color: var(--color-secondary);
}

.action__button-container {
    display: flex;
    flex-direction: column;
    gap: var(--padding-small);
    align-items: center;
}

.action__button-group {
    width: 50px;
    height: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: var(--color-action-primary);
}

.action__button-group--active {
    background-color: var(--color-primary);
    box-shadow: inset 0 -1px 0 var(--color-primary-dark);
}

.action__dotdot-icon {
    width: 45px;
}

footer{
    color: var(--color-footer-primary);
    padding-bottom: var(--padding-large);
}

.footer__link {
    color: var(--color-primary);
}

@media screen and (max-width: 1024px) {
    .utilities__feedback-container {
        display: none;
    }
}

@media screen and (max-width: 768px) {
    body {
        gap: var(--padding-extra-small);
    }

    .navbar {
        width: 100%;
        height: fit-content;
        padding: var(--padding-small);
        grid-template-columns: repeat(3, 1fr);
        grid-template-rows: repeat(2, 1fr);
        align-items: center;
    }

    .menu {
        padding: var(--padding-small);
    }

    .menu__title-large {
        display: none;
    }

    .menu__title-small{
        display: block;
    }

    .menu__title-small {
        justify-self: center;
        grid-column: 2/3;
    }

    .utilities__newgame-container {
        padding: var(--padding-small);
        background-color: transparent;
        box-shadow: none;
    }

    .utilities__newgame-text {
        display: none;
    }

    .utilities__newgame-icon {
        display: block;
    }

    .gamestatus {
        width: 100%;
        grid-column: 1/4;
        grid-row: 2/3;
        gap: var(--padding-small);
    }

    .gamestatus__score-container {
        width: 50%;
    }

    .gamestatus__highscore-container {
        width: 50%;
    }

    main{
        padding: var(--padding-small);
    }
}

@media screen and (max-width: 640px) {
    .gamestatus__category {
        font-size: var(--font-size-medium);
        font-weight: 400;
    }

    .gamestatus__score-container {
        padding: var(--padding-small);
        flex-direction: row;
        justify-content: space-between;
    }

    .gamestatus__highscore-container {
        padding: var(--padding-small);
        flex-direction: row;
        justify-content: space-between;
    }
}
    